%define api	0.3
%define major	0
%define major_grlnet	0
%define major_grlpls	0
%define libname	%mklibname %{name} %{api} %{major}
%define libname_grlnet	%mklibname grlnet %{api} %{major_grlnet}
%define libname_grlpls %mklibname grlpls %{api} %{major_grlpls}
%define girname %mklibname %name-gir %{api}
%define devname	%mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		grilo
Version:	0.3.3
Release:	%mkrel 1
Summary:	Content discovery framework
Group:		System/Libraries
License:	LGPLv2+
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Url:		https://wiki.gnome.org/Grilo
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.22
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.33.4
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(oauth)
BuildRequires:	vala-devel >= 0.7.2
BuildRequires:	vala-tools >= 0.7.2
BuildRequires:	gnome-common
BuildRequires:	gtk-doc
BuildRequires:	gobject-introspection-devel >= 0.9.0
BuildRequires:  pkgconfig(totem-plparser)

%description
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements.

%package -n %{libname}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries
Obsoletes:	%{_lib}grilo0.2_1 = 0.2.13-1.mga6

%description -n %{libname}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%package -n %{libname_grlnet}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries

%description -n %{libname_grlnet}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
This package contains the core library and elements, as well as
general and API documentation.

%package -n %{libname_grlpls}
Summary:	Libraries files for Grilo framework
Group:		System/Libraries

%description -n %{libname_grlpls}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.
Grilo only deals with audio, video or image content, but not with
playlists. This library allow to identify playlists and browse
into them exposing playlist entries as GrlMedia objects.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_grlnet} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Libraries/include files for Grilo framework
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libname_grlnet} = %{version}-%{release}
Requires:	%{libname_grlpls} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Grilo is a framework that provides access to different sources of
multimedia content, using a pluggable system.

This package contains the core library and elements, as well as
general and API documentation.

%prep
%autosetup -p1

%build
%configure2_5x \
	--disable-static \
	--enable-vala \
	--enable-gtk-doc \
	--enable-introspection \
	--enable-grl-net \
	--disable-tests
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_libdir}/grilo-%{api} %{buildroot}%{_datadir}/grilo-%{api}/plugins

# Remove files that will not be packaged
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_bindir}/grilo-simple-playlist

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/grl-inspect-%{api}
%{_bindir}/grl-launch-%{api}
%{_bindir}/grilo-test-ui-%{api}
%{_libdir}/grilo-%{api}
%{_datadir}/grilo-%{api}/plugins
%{_mandir}/man1/grl-inspect*.1.*
%{_mandir}/man1/grl-launch*.*
%{_mandir}/man1/grilo-test-ui*.*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}
%{_libdir}/lib%{name}-%{api}.so.%{major}.*

%files -n %{libname_grlpls}
%{_libdir}/libgrlpls-%{api}.so.%{major_grlpls}
%{_libdir}/libgrlpls-%{api}.so.%{major_grlpls}.*

%files -n %{libname_grlnet}
%{_libdir}/libgrlnet-%{api}.so.%{major_grlnet}
%{_libdir}/libgrlnet-%{api}.so.%{major_grlnet}.*

%files -n %{girname}
%{_libdir}/girepository-1.0/*-%{api}.typelib

%files -n %{devname}
%doc AUTHORS COPYING NEWS README TODO
%doc %{_datadir}/gtk-doc/html/%{name}
%{_includedir}/%{name}-%{api}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala*/vapi/*


%changelog
* Wed Feb 15 2017 ovitters <ovitters> 0.3.3-1.mga6
+ Revision: 1086304
- new version 0.3.3
- dropped merged patch 1

* Mon Sep 26 2016 tv <tv> 0.3.2-3.mga6
+ Revision: 1056851
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Thu Sep 22 2016 ovitters <ovitters> 0.3.2-2.mga6
+ Revision: 1055256
- add patch to fix string format build error
- new version 0.3.2

* Mon Jun 27 2016 ovitters <ovitters> 0.3.1-1.mga6
+ Revision: 1037931
- new version 0.3.1

* Mon Feb 15 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 960542
- Mageia 6 Mass Rebuild

* Wed Dec 16 2015 ovitters <ovitters> 0.3.0-1.mga6
+ Revision: 911135
- and change the major yet again
- switch to real upstream version of 0.3.0

* Tue Dec 15 2015 ovitters <ovitters> 0.3.0-0.1.mga6
+ Revision: 910817
- add upstream patch to git version to fix tests
- package 0.3.0 from git

* Thu Sep 24 2015 tv <tv> 0.2.15-1.mga6
+ Revision: 883338
- seriously major changed again!!!
- new release
- new release

  + ovitters <ovitters>
    - new version 0.2.15

* Tue Sep 08 2015 wally <wally> 0.2.13-4.mga6
+ Revision: 874035
- obsolete leftover lib with wrong major

* Mon Sep 07 2015 tv <tv> 0.2.13-3.mga6
+ Revision: 873955
- fix major

* Mon Sep 07 2015 ovitters <ovitters> 0.2.13-1.mga6
+ Revision: 873863
- new version 0.2.13

* Mon Jun 29 2015 wally <wally> 0.2.12-2.mga6
+ Revision: 847399
- add requires for gir pkg to devel pkg

* Sun Jun 21 2015 ovitters <ovitters> 0.2.12-1.mga6
+ Revision: 838371
- new version 0.2.12

* Wed Oct 15 2014 umeabot <umeabot> 0.2.11-4.mga5
+ Revision: 741513
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.2.11-3.mga5
+ Revision: 731153
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 0.2.11-2.mga5
+ Revision: 679940
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 ovitters <ovitters> 0.2.11-1.mga5
+ Revision: 670219
- new version 0.2.11

* Wed Mar 19 2014 ovitters <ovitters> 0.2.10-1.mga5
+ Revision: 605608
- new version 0.2.10

* Tue Feb 18 2014 ovitters <ovitters> 0.2.9-1.mga5
+ Revision: 594327
- new version 0.2.9

* Sun Feb 16 2014 sander85 <sander85> 0.2.8-6.mga5
+ Revision: 592807
- devel should require grlpls libs too

* Sun Feb 16 2014 sander85 <sander85> 0.2.8-5.mga5
+ Revision: 592802
- Proper fix for #mga12748

* Sat Feb 15 2014 dams <dams> 0.2.8-4.mga5
+ Revision: 591576
- adds 'grilo' as a require to grilo-devel

* Thu Feb 13 2014 dams <dams> 0.2.8-3.mga5
+ Revision: 590766
- update file list to fix mga#12748

* Tue Feb 11 2014 dams <dams> 0.2.8-2.mga5
+ Revision: 589379
- update BR (totem-plparser)

* Tue Feb 11 2014 ovitters <ovitters> 0.2.8-1.mga5
+ Revision: 589171
- new version 0.2.8

* Sat Feb 08 2014 ovitters <ovitters> 0.2.7-4.mga5
+ Revision: 586110
- fix build with vala 0.23
- add upstream patches needed for totem

* Sat Nov 09 2013 ovitters <ovitters> 0.2.7-3.mga4
+ Revision: 550175
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.2.7-2.mga4
+ Revision: 535084
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 ovitters <ovitters> 0.2.7-1.mga4
+ Revision: 481043
- new version 0.2.7

* Tue Sep 10 2013 fwang <fwang> 0.2.6-2.mga4
+ Revision: 477150
- recognize vala 0.22

* Sat May 25 2013 ovitters <ovitters> 0.2.6-1.mga4
+ Revision: 427234
- update file list
- new version 0.2.6

* Sat Jan 12 2013 umeabot <umeabot> 0.2.4-2.mga3
+ Revision: 352630
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.2.4-1.mga3
+ Revision: 323508
- new version 0.2.4

* Sun Nov 11 2012 fwang <fwang> 0.2.3-1.mga3
+ Revision: 316994
- new version 0.2.3

* Fri Oct 05 2012 ovitters <ovitters> 0.2.2-1.mga3
+ Revision: 302836
- new version 0.2.2

* Wed Oct 03 2012 ovitters <ovitters> 0.2.1-1.mga3
+ Revision: 302306
- new version 0.2.1

* Tue Sep 04 2012 ovitters <ovitters> 0.2.0-2.mga3
+ Revision: 288274
- fix requires on subpackage

* Tue Sep 04 2012 ovitters <ovitters> 0.2.0-1.mga3
+ Revision: 288243
- add grlnet subpackage
- fix api
- new version 0.2.0

* Sat Aug 11 2012 ovitters <ovitters> 0.1.20-1.mga3
+ Revision: 280580
- update file list
- new version 0.1.20

* Fri Jun 01 2012 fwang <fwang> 0.1.19-1.mga3
+ Revision: 252678
- update file list

  + ovitters <ovitters>
    - new version 0.1.19

* Fri Dec 09 2011 wally <wally> 0.1.18-1.mga2
+ Revision: 179703
- new version 0.1.18
- clean .spec

* Tue Sep 06 2011 fwang <fwang> 0.1.17-1.mga2
+ Revision: 139043
- update file list
- new version 0.1.17
- create owned dir
- recognize vala 0.14
- imported package grilo

